Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.runtime
[Java] Class DefaultMethodKey

    java.lang.Object
      org.codehaus.groovy.runtime.MethodKey
          org.codehaus.groovy.runtime.DefaultMethodKey

    public class DefaultMethodKey
    extends MethodKey

A default implementation of MethodKey

Authors:
  James Strachan

Version:
  \$Revision: 8106 \$

Constructor Summary
`DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)`

Method Summary
`int` | `getParameterCount()`
`Class` | `getParameterType(int index)`

Methods inherited from class MethodKey
createCopy, createHashCode, equals, equals, getName, getParameterCount, getParameterType, getParamterTypes, hashCode, toString

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultMethodKey

    public DefaultMethodKey(Class sender, String name, Class[] parameterTypes, boolean isCallToSuper)

Method Detail

### getParameterCount

    public int getParameterCount()

### getParameterType

    public Class getParameterType(int index)

Copyright © 2003-2010 The Codehaus. All rights reserved.